> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置 Google Images SERP 任务

> 设置 Google 图片 SERP 任务。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/serp/google/images/task_post
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/serp/google/images/task_post:
    post:
      summary: 设置 Google Images SERP 任务
      description: >-
        设置 Google Images SERP 任务。仅在设置任务时向您的账户收费。每次 POST 调用最多可发送 100 个任务，之后可通过任务
        id 或 postback/pingback 获取已完成的结果。
      operationId: post_dataforseo_serp_google_images_task_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                  description: 要搜索的关键词
                location_code:
                  type: integer
                  description: 搜索引擎位置代码
                location_name:
                  type: string
                  description: 搜索引擎位置的完整名称
                location_coordinate:
                  type: string
                  description: 某个位置的 GPS 坐标
                language_code:
                  type: string
                  description: 搜索引擎语言代码
                language_name:
                  type: string
                  description: 搜索引擎语言的完整名称
                device:
                  type: string
                  description: 设备类型：desktop 或 mobile
                priority:
                  type: integer
                  description: 任务优先级
                postback_url:
                  type: string
                  description: 用于发送任务结果的 URL
                pingback_url:
                  type: string
                  description: 任务完成时的通知 URL
                postback_data:
                  type: string
                  description: 回传数据类型；可选值包括 regular、advanced、html
              required:
                - keyword
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码
                  status_message:
                    type: string
                    description: 一般信息消息
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务对象数组
                  tasks[].id:
                    type: string
                    description: UUID 格式的任务标识符
                  tasks[].status_code:
                    type: integer
                    description: 任务状态码
                  tasks[].status_message:
                    type: string
                    description: 任务状态消息
                  tasks[].cost:
                    type: number
                    description: 任务成本（美元）
                  tasks[].result_count:
                    type: integer
                    description: 结果数组中的元素数量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````